@echo off
set url=http://rg-adguard.net/dl/decrypt/
for /f "tokens=3 delims=:. " %%f in ('bitsadmin.exe /CREATE /DOWNLOAD "Update esd-decrypter-online-wimlib" ^| findstr "Created job"') do set GUID=%%f
echo Update file - key.cmd &&bitsadmin>nul /transfer %GUID% /download /priority foreground %url%/key.txt "%~dp0bin\key.cmd"

:good
cls
color 2f
echo.
echo.
echo.
echo Key database updated to the new version.
echo.
echo.
echo.
echo Press any key to exit.
pause >nul
exit /b